﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using ThinkGeo.MapSuite.Core;

namespace TestZooming
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMapLoaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter;
            
            var overlay = new OpenStreetMapOverlay();
            overlay.TileType = TileType.SingleTile;
            wpfMap1.Overlays.Add(overlay);
            wpfMap1.Refresh();
        }

        private void ZoomInClick(object sender, RoutedEventArgs e)
        {
            Point pointCanvas = new Point((double)ellipse.GetValue(Canvas.LeftProperty), (double)ellipse.GetValue(Canvas.TopProperty));
            Point pointMap = canvas.TranslatePoint(pointCanvas, wpfMap1);
            ScreenPointF p = new ScreenPointF((float)pointMap.X, (float)pointMap.Y);

            double targetScale = ZoomLevelSet.GetLowerZoomLevelScale(wpfMap1.CurrentScale, wpfMap1.ZoomLevelSet);
            wpfMap1.ZoomToScale(targetScale, p);
        }

        private void ZoomOutClick(object sender, RoutedEventArgs e)
        {
            Point pointCanvas = new Point((double)ellipse.GetValue(Canvas.LeftProperty), (double)ellipse.GetValue(Canvas.TopProperty));
            Point pointMap = canvas.TranslatePoint(pointCanvas, wpfMap1);
            ScreenPointF p = new ScreenPointF((float)pointMap.X, (float)pointMap.Y);


            double targetScale = ZoomLevelSet.GetHigherZoomLevelScale(wpfMap1.CurrentScale, wpfMap1.ZoomLevelSet);
            wpfMap1.ZoomToScale(targetScale, p);
        }


    }
}
